#include "/lib/all_the_libs.glsl"

#include "/global/sky.glsl"
#include "/global/fog.glsl"

#ifdef FANCY_CLOUDS
void main() {
	discard;
}
#else
uniform sampler2D texture;

varying vec2 texcoord;
varying vec4 glcolor;

void main() {
	vec4 Color = texture2D(texture, texcoord) * glcolor;
	Color.rgb = to_linear(Color.rgb);

	#ifdef BORDER_FOG
	vec3 ScreenPos = vec3(gl_FragCoord.xy/resolution, gl_FragCoord.z);
	vec3 ViewPos = to_view_pos(ScreenPos);
	vec3 PlayerPos = to_player_pos(ViewPos);

	float HorizontalDist = length(PlayerPos.xz)/far;

	// Simplified fog, it doesn't need all of the fogs anyways
	HorizontalDist *= HorizontalDist;
	Color.a *= exp(-3.0 * HorizontalDist);
	Color.a *= 1-max(darknessFactor, blindness);
	#endif

	/* DRAWBUFFERS:0 */
	gl_FragData[0] = Color; //gcolor
}
#endif
